Xapian::Error(3pm)

NAME
Search::Xapian::Error - Base class for all exceptions in Search::Xapian

DESCRIPTION
This is an abstract class in C++, i.e. it cannot be instantiated directly. In Perl there is no such concept, but you should not need to create instances of this class yourself.

METHODS
All exception objects have the following methods

  get_msg
Returns a string with a descriptive error message, useful for outputting

  get_type
The type of this error (e.g. "DocNotFoundError").

  get_context
Optional context information, returned as a string

  get_error_string
Returns any error string from errno or similar associated with this error